Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package reflect
  Definition Classes
    scala
-  package quasiquotes
  Definition Classes
    reflect
-  trait Placeholders extends AnyRef

  Emulates hole support (see Holes.scala) in the quasiquote parser (see Parsers.scala).

  Emulates hole support (see Holes.scala) in the quasiquote parser (see Parsers.scala). A principled solution to splicing into Scala syntax would be a parser that natively supports holes. Unfortunately, that's outside of our reach in Scala 2.11, so we have to emulate. This trait stores knowledge of how to represent the holes as something understandable by the parser and how to recover holes from the results of parsing the produced representation.

  Definition Classes
    quasiquotes
- AnnotPlaceholder
- CasePlaceholder
- EarlyDefPlaceholder
- ForEnumPlaceholder
- FunctionTypePlaceholder
- HolePlaceholder
- ModsPlaceholder
- PackageStatPlaceholder
- ParamPlaceholder
- Placeholder
- RefineStatPlaceholder
- SymbolPlaceholder
- TuplePlaceholder
- TupleTypePlaceholder
- holeMap

o

scala.reflect.quasiquotes.Placeholders

# holeMap

###

#### object holeMap

Source
  Placeholders.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. holeMap
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(key: tools.nsc.Global.Name): Quasiquotes.Hole
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  def contains(key: tools.nsc.Global.Name): Boolean
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  def get(key: tools.nsc.Global.Name): Option[Quasiquotes.Hole]
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  def keysIterator: Iterator[tools.nsc.Global.TermName]
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  def unused: Set[tools.nsc.Global.Name]
22.  def update(key: tools.nsc.Global.Name, hole: Quasiquotes.Hole): LinkedHashMap[String, Quasiquotes.Hole]
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped